petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPLoad

Loads a KSP that has been stored in binary with KSPView().

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPLoad(KSP newdm, PetscViewer viewer)

Collective on PetscViewer Many br

### Input Parameters

| newdm | - the newly loaded KSP, this needs to have been created with KSPCreate() or Many brsome related function before a call to KSPLoad(). Many br
| viewer | - binary file viewer, obtained from PetscViewerBinaryOpen() Many br

Many br

### Notes

The type is determined by the data in the file, any type set into the KSP before this call is ignored. Many br

### Notes for advanced users

Most users should not need to know the details of the binary storage Many brformat, since KSPLoad() and KSPView() completely hide these details. Many brBut for anyone who's interested, the standard binary matrix storage Many brformat is Many br

         has not yet been determined

Many br

### See Also

PetscViewerBinaryOpen(), KSPView(), MatLoad(), VecLoad()

Level:intermediate
Location:src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages